View Issue Details

IDProjectCategoryView StatusLast Update
0022897LazarusIDEpublic2012-09-21 20:01
ReporterTakeda MatsukiAssigned ToVincent Snijders 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0022897: Installing PascalScript via "MENU : Packages -> Install/UnInstall Package" Dialog List, failed!
Description
Installing via "MENU : Packages -> Install/UnInstall Package" Dialog List would failed (see attachment "PascalScript Error.jpg"), due "globalinks's file" for PascalScript not interpret the correct full info.

I read readme.txt inside "..../packager/globallinks/README.txt":
"... The files should have filenames with the format <pkgname>-<version>.lpl ..."


SOLUTION :
So the solution for it is simple. Just RENAME "pascalscript-0.lpl" into "pascalscript-0.0.0.1.lpl". I already test it, and working fine after renaming the globallink's file for PascalScript.

Regards,
Takeda.
TagsNo tags attached.
Fixed in Revision38973
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0022948 closedMattias Gaertner pascalscript-0.lpl is a valid global package links name according to docs 

Activities

2012-09-16 05:47

 

PascalScript Error.jpg (73,565 bytes)
PascalScript Error.jpg (73,565 bytes)

Stephano

2012-09-21 18:36

developer   ~0062551

Tested on Lazarus 1.1 r38788M FPC 2.6.1 i386-linux-gtk 2

Bug and proposed fix are confirmed.

Issue History

Date Modified Username Field Change
2012-09-16 05:47 Takeda Matsuki New Issue
2012-09-16 05:47 Takeda Matsuki File Added: PascalScript Error.jpg
2012-09-16 05:47 Takeda Matsuki Widgetset => Win32/Win64
2012-09-21 18:36 Stephano LazTarget => -
2012-09-21 18:36 Stephano Note Added: 0062551
2012-09-21 18:36 Stephano Status new => confirmed
2012-09-21 20:01 Vincent Snijders Fixed in Revision => 38973
2012-09-21 20:01 Vincent Snijders Status confirmed => resolved
2012-09-21 20:01 Vincent Snijders Fixed in Version => 1.1 (SVN)
2012-09-21 20:01 Vincent Snijders Resolution open => fixed
2012-09-21 20:01 Vincent Snijders Assigned To => Vincent Snijders
2012-09-22 11:23 Stephano Relationship added related to 0022948